<?php
/**
 * The admin view file of form module of chanzhiEPS.
 *
 * @copyright   Copyright 2009-2017 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     form 
 * @version     $Id$
 * @link        http://www.ranzhico.com
 */
?>
<?php include '../../common/view/header.admin.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class="icon-th-large"></i> <?php echo $lang->$type->list;?></strong>
    <div class='panel-actions'>
      <?php commonModel::printLink('form', 'create', "type=$type", "<i class='icon icon-plus'> </i>" . $lang->$type->create, "class='btn btn-primary'");?> 
    </div>
  </div>
  <table class='table table-hover table-striped table-fixed tablesorter'>
    <thead>
      <tr class='text-center'>
        <?php $vars = "type=$type&orderBy=%s&pageTotal=$pager->pageTotal&recPerPage=$pager->recPerPage&pageID=$pager->pageID";?>
        <th class='w-50px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->form->id);?></th>
        <th><?php commonModel::printOrderLink('title', $orderBy, $vars, $lang->form->title);?></th>
        <th class='w-80px'><?php commonModel::printOrderLink('status', $orderBy, $vars, $lang->form->status);?></th>
        <th><?php echo $lang->form->desc;?></th>
        <th class='w-200px'><?php echo $lang->actions;?>
      </tr>
    </thead>
    <tbody>
      <?php foreach($forms as $form):?>
      <tr class='text-center'>
        <td><?php echo $form->id;?></td>
        <td title='<?php echo $form->title;?>'><?php echo $form->title;?></td>
        <td><?php echo $lang->form->statusList[$form->status];?></td>
        <td title='<?php echo $form->desc;?>'><?php echo $form->desc;?></td>
        <td class='nofixed'>
          <?php 
          if($form->status == 'draft') commonModel::printLink('formitem', 'admin', "formID={$form->id}&type={$type}", $lang->form->manageItems);
          if($form->status != 'draft') echo html::a('javascript:;', $lang->form->manageItems, "disabled='disabled'");
          commonModel::printLink('form', 'report', "formID={$form->id}&type={$type}", $lang->form->report);
          echo html::a(commonModel::createFrontLink('form', 'view', "formID={$form->id}", "type={$type}"), $lang->preview, "class='preview' target='_blank'");
          if($form->status == 'draft')  commonModel::printLink('form', 'switchStatus', "formID={$form->id}&status=normal", $lang->form->release, "class='switchStatus'");
          if($form->status == 'normal') commonModel::printLink('form', 'switchStatus', "formID={$form->id}&status=draft",  $lang->form->cancel,  "class='switchStatus'");
          if($form->status == 'finished') echo html::a('javascript:;', $lang->form->release, "disabled='disabled'");
          commonModel::printLink('form', 'edit', "formID={$form->id}&type={$type}", $lang->edit);
          ?>
          <span class='dropdown'>
            <a data-toggle='dropdown' href='javascript:;'><?php echo $this->lang->more;?><span class='caret'></span></a>
            <ul class='dropdown-menu pull-right'>    
              <li>
                <?php if($form->status == 'normal') commonModel::printLink('form', 'switchStatus', "formID={$form->id}&status=finished", $lang->form->finish, "class='switchStatus'");?>
                <?php if($form->status != 'normal') echo html::a('javascript:;', $lang->form->finish, "disabled='disabled'");?>
              </li>
              <li><?php commonModel::printLink('form', 'delete', "formID={$form->id}", $lang->delete, "class='deleter'");?></li>
            </ul>
          </span>
        </td>
      </tr>
      <?php endforeach;?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan='5'><?php $pager->show();?></td>
      </tr>
    </tfoot>
  </table>  
</div>
<?php include '../../common/view/footer.admin.html.php';?>
